//+------------------------------------------------------------------+
//|                                           FLI_BREAKOUT_LINES.mq4 |
//|                   Copyright  2009, Francesco Marasco aka flinux |
//|                                       E-Mail: fmarasco@gmail.com |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators.                                         |
//|                                                                  |
//|   PayPal - fmarasco@gmail.com                                    |  
//+------------------------------------------------------------------+

#property copyright "Francesco Marasco"
#property link      "http://www.togetherteam.net"

#property indicator_chart_window

string TAG = "FliBreakoutLines";

void ObDeleteObjectsByPrefix(string Prefix)
{
   int L = StringLen(Prefix);
   int i = 0; 
   while(i < ObjectsTotal())
   {
      string ObjName = ObjectName(i);
      if(StringSubstr(ObjName, 0, L) != Prefix) 
      { 
         i++; 
         continue;
      }
      ObjectDelete(ObjName);
   }
}

int init()
{
   deinit();

   ObjectCreate(TAG+"HBREAK",OBJ_FIBO,0,0,0);
   ObjectCreate(TAG+"LBREAK",OBJ_FIBO,0,0,0);

   ObjectCreate(TAG+"HDAY",OBJ_FIBO,0,0,0);
   ObjectCreate(TAG+"LDAY",OBJ_FIBO,0,0,0);

   return(0);
}

int deinit()
{
   ObDeleteObjectsByPrefix(TAG);
   return(0);
}

int start()
{
   ObjectSet(TAG+"HBREAK",OBJPROP_FIBOLEVELS,1);
   ObjectSet(TAG+"LBREAK",OBJPROP_FIBOLEVELS,1);
   ObjectSet(TAG+"HBREAK",OBJPROP_LEVELCOLOR,DeepSkyBlue);
   ObjectSet(TAG+"LBREAK",OBJPROP_LEVELCOLOR,Pink);
   ObjectSet(TAG+"HBREAK",OBJPROP_TIME1,iTime(NULL,PERIOD_H1,1));
   ObjectSet(TAG+"LBREAK",OBJPROP_TIME1,iTime(NULL,PERIOD_H1,1));
   ObjectSet(TAG+"HBREAK",OBJPROP_TIME2,iTime(NULL,PERIOD_H1,0));
   ObjectSet(TAG+"LBREAK",OBJPROP_TIME2,iTime(NULL,PERIOD_H1,0));
   ObjectSet(TAG+"HBREAK",OBJPROP_PRICE1,iHigh(NULL,PERIOD_H1,1));
   ObjectSet(TAG+"LBREAK",OBJPROP_PRICE1,iLow(NULL,PERIOD_H1,1));
   ObjectSet(TAG+"HBREAK",OBJPROP_PRICE2,iHigh(NULL,PERIOD_H1,1));
   ObjectSet(TAG+"LBREAK",OBJPROP_PRICE2,iLow(NULL,PERIOD_H1,1));
   ObjectSet(TAG+"HBREAK",OBJPROP_BACK,true);
   ObjectSet(TAG+"LBREAK",OBJPROP_BACK,true);

   ObjectSet(TAG+"HDAY",OBJPROP_FIBOLEVELS,1);
   ObjectSet(TAG+"LDAY",OBJPROP_FIBOLEVELS,1);
   ObjectSet(TAG+"HDAY",OBJPROP_LEVELCOLOR,Gold);
   ObjectSet(TAG+"LDAY",OBJPROP_LEVELCOLOR,Gold);
   ObjectSet(TAG+"HDAY",OBJPROP_TIME1,iTime(NULL,PERIOD_D1,0));
   ObjectSet(TAG+"LDAY",OBJPROP_TIME1,iTime(NULL,PERIOD_D1,0));
   ObjectSet(TAG+"HDAY",OBJPROP_TIME2,iTime(NULL,PERIOD_D1,0));
   ObjectSet(TAG+"LDAY",OBJPROP_TIME2,iTime(NULL,PERIOD_D1,0));
   ObjectSet(TAG+"HDAY",OBJPROP_PRICE1,iHigh(NULL,PERIOD_D1,0));
   ObjectSet(TAG+"LDAY",OBJPROP_PRICE1,iLow(NULL,PERIOD_D1,0));
   ObjectSet(TAG+"HDAY",OBJPROP_PRICE2,iHigh(NULL,PERIOD_D1,0));
   ObjectSet(TAG+"LDAY",OBJPROP_PRICE2,iLow(NULL,PERIOD_D1,0));
   ObjectSet(TAG+"HDAY",OBJPROP_BACK,true);
   ObjectSet(TAG+"LDAY",OBJPROP_BACK,true);
   
   ObjectSetFiboDescription(TAG+"HBREAK",0,"High Breakout");
   ObjectSetFiboDescription(TAG+"LBREAK",0,"Low Breakout");

   ObjectSetFiboDescription(TAG+"HDAY",0,"High Day");
   ObjectSetFiboDescription(TAG+"LDAY",0,"Low Day");
   return(0);
}


