//+------------------------------------------------------------------+
//|                                                 FLI_UJ_GU_GJ.mq4 |
//|                   Copyright  2009, Francesco Marasco aka flinux |
//|                                       E-Mail: fmarasco@gmail.com |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators.                                         |
//|                                                                  |
//|   PayPal - fmarasco@gmail.com                                    |  
//+------------------------------------------------------------------+

#property copyright "Francesco Marasco"
#property link      "http://www.togetherteam.net"

#property indicator_chart_window

string TAG = "FliUJGUGJ";
extern int xShift = 30;
extern int yShift = 90;
extern int period = 60;

extern bool isMini = false;
string x="";

void ObDeleteObjectsByPrefix(string Prefix)
{
   int L = StringLen(Prefix);
   int i = 0; 
   while(i < ObjectsTotal())
   {
      string ObjName = ObjectName(i);
      if(StringSubstr(ObjName, 0, L) != Prefix) 
      { 
         i++; 
         continue;
      }
      ObjectDelete(ObjName);
   }
}

string getPeriod()
{
   if (period==PERIOD_M1) return("M1");
   if (period==PERIOD_M5) return("M5");
   if (period==PERIOD_M15) return("M15");
   if (period==PERIOD_M30) return("M30");
   if (period==PERIOD_H1) return("H1");
   if (period==PERIOD_H4) return("H4");
   if (period==PERIOD_D1) return("D1");
   if (period==PERIOD_W1) return("W1");
   if (period==PERIOD_MN1) return("MN1");
}

int init()
{
   deinit();

   if (isMini) x="m";

   ObjectCreate(TAG+"h",OBJ_LABEL,0,0,0,0,0);
   ObjectSet(TAG+"h",OBJPROP_CORNER,1);
   ObjectSet(TAG+"h",OBJPROP_XDISTANCE,xShift+0);
   ObjectSet(TAG+"h",OBJPROP_YDISTANCE,yShift+0);
   ObjectSetText(TAG+"h","CROSS BREAKOUTS ["+getPeriod()+"]",14,"Courier",Silver);

   ObjectCreate(TAG+"uj",OBJ_LABEL,0,0,0,0,0);
   ObjectSet(TAG+"uj",OBJPROP_CORNER,1);
   ObjectSet(TAG+"uj",OBJPROP_XDISTANCE,xShift+0);
   ObjectSet(TAG+"uj",OBJPROP_YDISTANCE,yShift+20);

   ObjectCreate(TAG+"gu",OBJ_LABEL,0,0,0,0,0);
   ObjectSet(TAG+"gu",OBJPROP_CORNER,1);
   ObjectSet(TAG+"gu",OBJPROP_XDISTANCE,xShift+0);
   ObjectSet(TAG+"gu",OBJPROP_YDISTANCE,yShift+40);

   ObjectCreate(TAG+"gj",OBJ_LABEL,0,0,0,0,0);
   ObjectSet(TAG+"gj",OBJPROP_CORNER,1);
   ObjectSet(TAG+"gj",OBJPROP_XDISTANCE,xShift+0);
   ObjectSet(TAG+"gj",OBJPROP_YDISTANCE,yShift+60);

   return(0);
}

int deinit()
{
   ObDeleteObjectsByPrefix(TAG);
   return(0);
}

int start()
{
   double uj_o, uj_c, gu_o, gu_c, gj_o, gj_c;
   
   uj_o = iOpen("USDJPY"+x,period,0);
   uj_c = iClose("USDJPY"+x,period,0);
   gu_o = iOpen("GBPUSD"+x,period,0);
   gu_c = iClose("GBPUSD"+x,period,0);
   gj_o = iOpen("GBPJPY"+x,period,0);
   gj_c = iClose("GBPJPY"+x,period,0);
   
   if (uj_c>uj_o)
      ObjectSetText(TAG+"uj","USDJPYm LONG",14,"Courier",Lime);
   else if (uj_c<uj_o)
      ObjectSetText(TAG+"uj","USDJPYm SHORT",14,"Courier",Red);
   else if (uj_c==uj_o)
      ObjectSetText(TAG+"uj","USDJPYm FLAT",14,"Courier",Yellow);
   
   if (gu_c>gu_o)
      ObjectSetText(TAG+"gu","GBPUSDm LONG",14,"Courier",Lime);
   else if (gu_c<gu_o)
      ObjectSetText(TAG+"gu","GBPUSDm SHORT",14,"Courier",Red);
   else if (gu_c==gu_o)
      ObjectSetText(TAG+"gu","GBPUSDm FLAT",14,"Courier",Yellow);
   
   if (gj_c>gj_o)
      ObjectSetText(TAG+"gj","GBPJPYm LONG",14,"Courier",Lime);
   else if (gj_c<gj_o)
      ObjectSetText(TAG+"gj","GBPJPYm SHORT",14,"Courier",Red);
   else if (gj_c==gj_o)
      ObjectSetText(TAG+"gj","GBPJPYm FLAT",14,"Courier",Yellow);
      

   return(0);
}

